using System;
using ZR.Model;
using System.Collections.Generic;
using ZR.Model.Dto.BaseSet;
using ZR.Model.Models.BaseSet;

namespace ZR.Service.Business.IBusinessService.BaseSet
{
    /// <summary>
    /// 基础资料/库区信息表service接口
    ///
    /// @author admin
    /// @date 2023-04-10
    /// </summary>
    public interface IBasRegionService : IBaseService<BasRegion>
    {
        PagedInfo<BasRegionDto> GetList(BasRegionQueryDto parm);

        int AddBasRegion(BasRegion parm);

        int UpdateBasRegion(BasRegion parm);

        void TruncateBasRegion();

        public List<BasRegion> GetAll();
    }
}
